# zbot/plugs/find.py
#
#

""" output a set of objects. """

## IMPORTS

from zbot.utils import get_args, get_opts
from zbot import cmnds

## do_find command

def do_find(event):
    args = get_args(event.rest)
    opts = get_opts(event.rest)
    for obj in event.objects(opts):
        res = ""
        for arg in args:
            if arg in obj: res += "%s: %s " % (arg, obj[arg])
        if res: event.reply(res)

cmnds.register("find", do_find)
