# zbot/plugs/input.py
#
#

""" generic input plugin. """

## IMPORTS

from zbot.utils import striphtml, j, error
from zbot import cmnds, Object

import email.message
import datetime
import logging
import email
import time
import os

## COMMANDS

def input(event):
    if not event.rest: event.reply("what directory?") ; return
    target = event.rest
    if not os.path.isdir(target): event.reply("%s is not a directory." % target) ; return
    teller = 0
    event.reply("scanning %s" % target)
    for fn in os.listdir(target):
        ff = target + os.sep + fn 
        logging.warn("reading %s" % ff)
        try:
            o = Object()
            data = open(ff, "r").read()
            message = email.message_from_string(data) ; o.update(message.items())
            o.text = ""
            for load in message.get_payload(): o.text += str(load)
            o.save()
        except IsADirectoryError: continue
        except Exception: error() ; continue
        teller += 1
        logging.warn("at %s" % teller)

cmnds.register("in", input)
